Subject: WG Review: Long-Term Archive and Notary Services (ltans)

From: Thomas Fossati <[email-masked]>
Date: Thu, 9 Oct 2003 19:25:10 +0200

Hello,

IETF seems to me the most proper venue to host LTANS wg, and I'd like to
see it starting as quick as possible.

Some sparse reasons follow:

- The subject matter is 'hot' but requisites are not completely clear.
- At present there is no open forum where to discuss the long-term 
  non-repudiation topic and propose technical solutions (as far as 
  I can tell).
- LTANS would boost some very interesting work items started by 
  the PKIX wg which, for one reason or another, has not reached 
  full maturity/deployment.
- Last but not least, the company I work with is going to invest in 
  the long-term archival area for the next 2 years, and they know that
  an open(ly discussed) and standard interface is very desirable.

Thomas